Bug 1790522 - dual-stack config for openshift-apiserver
Summary: dual-stack config for openshift-apiserver
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Michal Fojtik
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks: 1790523
TreeView+ depends on / blocked
 
Reported: 2020-01-13 14:33 UTC by Dan Winship
Modified: 2021-10-01 13:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
No documentation required.
Clone Of:
: 1790523 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-openshift-apiserver-operator pull 273 0 None closed Specify "bindNetwork: tcp" so apiserver will work on IPv6 single-stack 2020-12-21 16:17:18 UTC

Description Dan Winship 2020-01-13 14:33:14 UTC
openshift-apiserver should run dual-stack for ipv4/ipv6/dual-stack compat

Comment 1 Dan Winship 2020-01-13 14:34:05 UTC
Tested in the ipv6 builds. Not currently QA-able.


Note You need to log in before you can comment on or make changes to this bug.